{
    attributes = (
        {
            columnName = C_LANGUE; 
            externalType = VARCHAR2; 
            name = cLangue; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_PAYS; 
            externalType = VARCHAR2; 
            name = cPays; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_LANGUE; 
            externalType = VARCHAR2; 
            name = llLangue; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cLangue); 
    className = EOGenericRecord; 
    classProperties = (cLangue, llLangue, cPays, toGrhumPays); 
    externalName = GRHUM.LANGUE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumLangue; 
    primaryKeyAttributes = (cLangue); 
    relationships = (
        {
            destination = GrhumPays; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cPays; sourceAttribute = cPays; }); 
            name = toGrhumPays; 
        }
    ); 
}
